<?php

/**
 * fraisdeport module configuration.
 *
 * @package    ##PROJECT_NAME##
 * @subpackage fraisdeport
 * @author     ##AUTHOR_NAME##
 * @version    SVN: $Id: configuration.php 24171 2009-11-19 16:37:50Z Kris.Wallsmith $
 */
abstract class BaseFraisdeportGeneratorConfiguration extends sfModelGeneratorConfiguration
{
  public function getActionsDefault()
  {
    return array();
  }

  public function getFormActions()
  {
    return array(  '_delete' => NULL,  '_list' => NULL,  '_save' => NULL,  '_save_and_add' => NULL,);
  }

  public function getNewActions()
  {
    return array();
  }

  public function getEditActions()
  {
    return array();
  }

  public function getListObjectActions()
  {
    return array(  '_edit' => NULL,  '_delete' => NULL,);
  }

  public function getListActions()
  {
    return array(  '_new' => NULL,);
  }

  public function getListBatchActions()
  {
    return array(  '_delete' => NULL,);
  }

  public function getListParams()
  {
    return '%%=id_transporteur%% - %%libelle%% - %%statut%%';
  }

  public function getListLayout()
  {
    return 'tabular';
  }

  public function getListTitle()
  {
    return 'Liste des transporteurs';
  }

  public function getEditTitle()
  {
    return 'Edition du transporteur %%libelle%%';
  }

  public function getNewTitle()
  {
    return 'Nouveau transporteur';
  }

  public function getFilterDisplay()
  {
    return array();
  }

  public function getFormDisplay()
  {
    return array();
  }

  public function getEditDisplay()
  {
    return array();
  }

  public function getNewDisplay()
  {
    return array();
  }

  public function getListDisplay()
  {
    return array(  0 => '=id_transporteur',  1 => 'libelle',  2 => 'statut',);
  }

  public function getFieldsDefault()
  {
    return array(
      'id_transporteur' => array(  'is_link' => true,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Text',),
      'libelle' => array(  'is_link' => false,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Text',),
      'forfait_emballage' => array(  'is_link' => false,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Text',),
      'hors_gabarit' => array(  'is_link' => false,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Boolean',),
      'statut' => array(  'is_link' => false,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Boolean',),
    );
  }

  public function getFieldsList()
  {
    return array(
      'id_transporteur' => array(),
      'libelle' => array(),
      'forfait_emballage' => array(),
      'hors_gabarit' => array(),
      'statut' => array(),
    );
  }

  public function getFieldsFilter()
  {
    return array(
      'id_transporteur' => array(),
      'libelle' => array(),
      'forfait_emballage' => array(),
      'hors_gabarit' => array(),
      'statut' => array(),
    );
  }

  public function getFieldsForm()
  {
    return array(
      'id_transporteur' => array(),
      'libelle' => array(),
      'forfait_emballage' => array(),
      'hors_gabarit' => array(),
      'statut' => array(),
    );
  }

  public function getFieldsEdit()
  {
    return array(
      'id_transporteur' => array(),
      'libelle' => array(),
      'forfait_emballage' => array(),
      'hors_gabarit' => array(),
      'statut' => array(),
    );
  }

  public function getFieldsNew()
  {
    return array(
      'id_transporteur' => array(),
      'libelle' => array(),
      'forfait_emballage' => array(),
      'hors_gabarit' => array(),
      'statut' => array(),
    );
  }


  /**
   * Gets the form class name.
   *
   * @return string The form class name
   */
  public function getFormClass()
  {
    return 'TransporteurForm';
  }

  public function hasFilterForm()
  {
    return true;
  }

  /**
   * Gets the filter form class name
   *
   * @return string The filter form class name associated with this generator
   */
  public function getFilterFormClass()
  {
    return 'TransporteurFormFilter';
  }

  public function getPagerClass()
  {
    return 'sfDoctrinePager';
  }

  public function getPagerMaxPerPage()
  {
    return 20;
  }

  public function getDefaultSort()
  {
    return array(null, null);
  }

  public function getTableMethod()
  {
    return '';
  }

  public function getTableCountMethod()
  {
    return '';
  }
}
