<?php

/**
 * mailingpro module configuration.
 *
 * @package    ##PROJECT_NAME##
 * @subpackage mailingpro
 * @author     ##AUTHOR_NAME##
 * @version    SVN: $Id: configuration.php 24171 2009-11-19 16:37:50Z Kris.Wallsmith $
 */
abstract class BaseMailingproGeneratorConfiguration extends sfModelGeneratorConfiguration
{
  public function getActionsDefault()
  {
    return array();
  }

  public function getFormActions()
  {
    return array(  '_delete' => NULL,  '_list' => NULL,  '_save' => NULL,  '_save_and_add' => NULL,);
  }

  public function getNewActions()
  {
    return array();
  }

  public function getEditActions()
  {
    return array();
  }

  public function getListObjectActions()
  {
    return array(  '_edit' => NULL,  '_delete' => NULL,);
  }

  public function getListActions()
  {
    return array(  '_new' => NULL,);
  }

  public function getListBatchActions()
  {
    return array(  '_delete' => NULL,);
  }

  public function getListParams()
  {
    return '%%=id_mailing_pro%% - %%nom%% - %%code_postal%% - %%ville%% - %%activite%%';
  }

  public function getListLayout()
  {
    return 'tabular';
  }

  public function getListTitle()
  {
    return 'Liste des mailing pro';
  }

  public function getEditTitle()
  {
    return 'Edition du mailing pro';
  }

  public function getNewTitle()
  {
    return 'Nouveau mailing pro';
  }

  public function getFilterDisplay()
  {
    return array();
  }

  public function getFormDisplay()
  {
    return array();
  }

  public function getEditDisplay()
  {
    return array();
  }

  public function getNewDisplay()
  {
    return array();
  }

  public function getListDisplay()
  {
    return array(  0 => '=id_mailing_pro',  1 => 'nom',  2 => 'code_postal',  3 => 'ville',  4 => 'activite',);
  }

  public function getFieldsDefault()
  {
    return array(
      'id_mailing_pro' => array(  'is_link' => true,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Text',),
      'civilite' => array(  'is_link' => false,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Text',),
      'nom' => array(  'is_link' => false,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Text',),
      'adresse' => array(  'is_link' => false,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Text',),
      'code_postal' => array(  'is_link' => false,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Text',),
      'ville' => array(  'is_link' => false,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Text',),
      'telephone' => array(  'is_link' => false,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Text',),
      'fax' => array(  'is_link' => false,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Text',),
      'gsm' => array(  'is_link' => false,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Text',),
      'activite' => array(  'is_link' => false,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Text',),
      'code_acces' => array(  'is_link' => false,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Text',),
      'date' => array(  'is_link' => false,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Date',),
      'acces' => array(  'is_link' => false,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Boolean',),
    );
  }

  public function getFieldsList()
  {
    return array(
      'id_mailing_pro' => array(),
      'civilite' => array(),
      'nom' => array(),
      'adresse' => array(),
      'code_postal' => array(),
      'ville' => array(),
      'telephone' => array(),
      'fax' => array(),
      'gsm' => array(),
      'activite' => array(),
      'code_acces' => array(),
      'date' => array(),
      'acces' => array(),
    );
  }

  public function getFieldsFilter()
  {
    return array(
      'id_mailing_pro' => array(),
      'civilite' => array(),
      'nom' => array(),
      'adresse' => array(),
      'code_postal' => array(),
      'ville' => array(),
      'telephone' => array(),
      'fax' => array(),
      'gsm' => array(),
      'activite' => array(),
      'code_acces' => array(),
      'date' => array(),
      'acces' => array(),
    );
  }

  public function getFieldsForm()
  {
    return array(
      'id_mailing_pro' => array(),
      'civilite' => array(),
      'nom' => array(),
      'adresse' => array(),
      'code_postal' => array(),
      'ville' => array(),
      'telephone' => array(),
      'fax' => array(),
      'gsm' => array(),
      'activite' => array(),
      'code_acces' => array(),
      'date' => array(),
      'acces' => array(),
    );
  }

  public function getFieldsEdit()
  {
    return array(
      'id_mailing_pro' => array(),
      'civilite' => array(),
      'nom' => array(),
      'adresse' => array(),
      'code_postal' => array(),
      'ville' => array(),
      'telephone' => array(),
      'fax' => array(),
      'gsm' => array(),
      'activite' => array(),
      'code_acces' => array(),
      'date' => array(),
      'acces' => array(),
    );
  }

  public function getFieldsNew()
  {
    return array(
      'id_mailing_pro' => array(),
      'civilite' => array(),
      'nom' => array(),
      'adresse' => array(),
      'code_postal' => array(),
      'ville' => array(),
      'telephone' => array(),
      'fax' => array(),
      'gsm' => array(),
      'activite' => array(),
      'code_acces' => array(),
      'date' => array(),
      'acces' => array(),
    );
  }


  /**
   * Gets the form class name.
   *
   * @return string The form class name
   */
  public function getFormClass()
  {
    return 'MailingProForm';
  }

  public function hasFilterForm()
  {
    return true;
  }

  /**
   * Gets the filter form class name
   *
   * @return string The filter form class name associated with this generator
   */
  public function getFilterFormClass()
  {
    return 'MailingProFormFilter';
  }

  public function getPagerClass()
  {
    return 'sfDoctrinePager';
  }

  public function getPagerMaxPerPage()
  {
    return 500;
  }

  public function getDefaultSort()
  {
    return array(null, null);
  }

  public function getTableMethod()
  {
    return '';
  }

  public function getTableCountMethod()
  {
    return '';
  }
}
