<?php

/**
 * tauxtva module configuration.
 *
 * @package    ##PROJECT_NAME##
 * @subpackage tauxtva
 * @author     ##AUTHOR_NAME##
 * @version    SVN: $Id: configuration.php 24171 2009-11-19 16:37:50Z Kris.Wallsmith $
 */
abstract class BaseTauxtvaGeneratorConfiguration extends sfModelGeneratorConfiguration
{
  public function getActionsDefault()
  {
    return array();
  }

  public function getFormActions()
  {
    return array(  '_delete' => NULL,  '_list' => NULL,  '_save' => NULL,  '_save_and_add' => NULL,);
  }

  public function getNewActions()
  {
    return array();
  }

  public function getEditActions()
  {
    return array();
  }

  public function getListObjectActions()
  {
    return array(  '_edit' => NULL,  '_delete' => NULL,);
  }

  public function getListActions()
  {
    return array(  '_new' => NULL,);
  }

  public function getListBatchActions()
  {
    return array(  '_delete' => NULL,);
  }

  public function getListParams()
  {
    return '%%=id_taux_tva%% - %%taux%% - %%statut%%';
  }

  public function getListLayout()
  {
    return 'tabular';
  }

  public function getListTitle()
  {
    return 'Liste des taux TVA';
  }

  public function getEditTitle()
  {
    return 'Edition du taux TVA';
  }

  public function getNewTitle()
  {
    return 'Nouveau taux TVA';
  }

  public function getFilterDisplay()
  {
    return array();
  }

  public function getFormDisplay()
  {
    return array();
  }

  public function getEditDisplay()
  {
    return array();
  }

  public function getNewDisplay()
  {
    return array();
  }

  public function getListDisplay()
  {
    return array(  0 => '=id_taux_tva',  1 => 'taux',  2 => 'statut',);
  }

  public function getFieldsDefault()
  {
    return array(
      'id_taux_tva' => array(  'is_link' => true,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Text',),
      'taux' => array(  'is_link' => false,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Text',),
      'statut' => array(  'is_link' => false,  'is_real' => true,  'is_partial' => false,  'is_component' => false,  'type' => 'Boolean',),
    );
  }

  public function getFieldsList()
  {
    return array(
      'id_taux_tva' => array(),
      'taux' => array(),
      'statut' => array(),
    );
  }

  public function getFieldsFilter()
  {
    return array(
      'id_taux_tva' => array(),
      'taux' => array(),
      'statut' => array(),
    );
  }

  public function getFieldsForm()
  {
    return array(
      'id_taux_tva' => array(),
      'taux' => array(),
      'statut' => array(),
    );
  }

  public function getFieldsEdit()
  {
    return array(
      'id_taux_tva' => array(),
      'taux' => array(),
      'statut' => array(),
    );
  }

  public function getFieldsNew()
  {
    return array(
      'id_taux_tva' => array(),
      'taux' => array(),
      'statut' => array(),
    );
  }


  /**
   * Gets the form class name.
   *
   * @return string The form class name
   */
  public function getFormClass()
  {
    return 'TauxTvaForm';
  }

  public function hasFilterForm()
  {
    return true;
  }

  /**
   * Gets the filter form class name
   *
   * @return string The filter form class name associated with this generator
   */
  public function getFilterFormClass()
  {
    return 'TauxTvaFormFilter';
  }

  public function getPagerClass()
  {
    return 'sfDoctrinePager';
  }

  public function getPagerMaxPerPage()
  {
    return 20;
  }

  public function getDefaultSort()
  {
    return array(null, null);
  }

  public function getTableMethod()
  {
    return '';
  }

  public function getTableCountMethod()
  {
    return '';
  }
}
